org.eclipse.viatra.transformation.runtime.emf.rules

## Class EventDrivenTransformationRuleGroup

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - java.util.HashSet<Rule>
      - - org.eclipse.viatra.transformation.runtime.emf.rules.TransformationRuleGroup<EventDrivenTransformationRule<?,?>>
        - - org.eclipse.viatra.transformation.runtime.emf.rules.EventDrivenTransformationRuleGroup

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<EventDrivenTransformationRule<?,?>>, java.util.Collection<EventDrivenTransformationRule<?,?>>, java.util.Set<EventDrivenTransformationRule<?,?>>

      public class EventDrivenTransformationRuleGroup
      extends TransformationRuleGroup<EventDrivenTransformationRule<?,?>>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventDrivenTransformationRuleGroup()`
    `EventDrivenTransformationRuleGroup(EventDrivenTransformationRule<?,?>... rules)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.viatra.transformation.runtime.emf.rules.TransformationRuleGroup

      `getFilteredRuleMap, getRuleSpecifications, prepareQueryEngine`

    - ### Methods inherited from class java.util.HashSet

      `add, clear, clone, contains, isEmpty, iterator, remove, size, spliterator`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, containsAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `addAll, containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### EventDrivenTransformationRuleGroup

          public EventDrivenTransformationRuleGroup()

    - #### EventDrivenTransformationRuleGroup

          public EventDrivenTransformationRuleGroup(EventDrivenTransformationRule<?,?>... rules)